# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Array1OfByte Class Reference

`#include <TDataStd_Array1OfByte.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_Array1OfByte (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDataStd_Array1OfByte (const Standard_Byte &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Standard_Byte &V)
Standard_EXPORT void | Destroy ()
| ~TDataStd_Array1OfByte ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TDataStd_Array1OfByte & | Assign (const TDataStd_Array1OfByte &Other)
const TDataStd_Array1OfByte & | operator= (const TDataStd_Array1OfByte &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Byte &Value)
const Standard_Byte & | Value (const Standard_Integer Index) const
const Standard_Byte & | operator() (const Standard_Integer Index) const
Standard_Byte & | ChangeValue (const Standard_Integer Index)
Standard_Byte & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TDataStd_Array1OfByte (const TDataStd_Array1OfByte &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Array1OfByte::TDataStd_Array1OfByte | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDataStd_Array1OfByte::TDataStd_Array1OfByte | ( | const Standard_Byte & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TDataStd_Array1OfByte::~TDataStd_Array1OfByte | ( |  | ) | `[inline]`

Standard_EXPORT TDataStd_Array1OfByte::TDataStd_Array1OfByte | ( | const TDataStd_Array1OfByte & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TDataStd_Array1OfByte& TDataStd_Array1OfByte::Assign | ( | const TDataStd_Array1OfByte & | Other | ) |

Standard_Byte& TDataStd_Array1OfByte::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDataStd_Array1OfByte::Destroy | ( |  | ) |

Standard_EXPORT void TDataStd_Array1OfByte::Init | ( | const Standard_Byte & | V | ) |

Standard_Boolean TDataStd_Array1OfByte::IsAllocated | ( |  | ) | const

Standard_Integer TDataStd_Array1OfByte::Length | ( |  | ) | const

Standard_Integer TDataStd_Array1OfByte::Lower | ( |  | ) | const

void TDataStd_Array1OfByte::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_Array1OfByte::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_Array1OfByte::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Byte& TDataStd_Array1OfByte::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Standard_Byte& TDataStd_Array1OfByte::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TDataStd_Array1OfByte& TDataStd_Array1OfByte::operator= | ( | const TDataStd_Array1OfByte & | Other | ) | `[inline]`

void TDataStd_Array1OfByte::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Byte & | Value
| ) |

Standard_Integer TDataStd_Array1OfByte::Upper | ( |  | ) | const

const Standard_Byte& TDataStd_Array1OfByte::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TDataStd_Array1OfByte::isAllocated `[private]`

Standard_Integer TDataStd_Array1OfByte::myLowerBound `[private]`

Standard_Address TDataStd_Array1OfByte::myStart `[private]`

Standard_Integer TDataStd_Array1OfByte::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TDataStd_Array1OfByte.hxx